# Proxmox

Guide to install Proxmox VE

## From Debian 10 Buster

Follow [install-linux.md](https://gogs.jovian-hersemeule.eu/DricomDragon/JovianLinux/src/master/Guides/install-linux.md)

[Follow the Proxmox Wiki](https://pve.proxmox.com/wiki/Install_Proxmox_VE_on_Debian_Buster)

Example of _/etc/hosts_ with IP's from VPS console and domain name redirecting to vps address :
```
127.0.0.1       localhost.localdomain localhost

51.38.184.247				pve.jovian-hersemeule.eu halley
2001:41d0:305:2100::a30d	pve.jovian-hersemeule.eu halley

::1	localhost	ip6-localhost	ip6-loopback
ff02::1	ip6-allnodes
ff02::2	ip6-allrouters
```

Install requirements :

For Proxmox 6 :
```
sudo su
cd
echo "deb http://download.proxmox.com/debian/pve buster pve-no-subscription" > /etc/apt/sources.list.d/pve-install-repo.list
wget http://download.proxmox.com/debian/proxmox-ve-release-6.x.gpg -O /etc/apt/trusted.gpg.d/proxmox-ve-release-6.x.gpg
chmod +r /etc/apt/trusted.gpg.d/proxmox-ve-release-6.x.gpg
apt update && apt full-upgrade
```

For Proxmox 7 :
```
sudo su
cd
echo "deb http://download.proxmox.com/debian/pve bullseye pve-no-subscription" > /etc/apt/sources.list.d/pve-install-repo.list
wget https://enterprise.proxmox.com/debian/proxmox-release-bullseye.gpg -O /etc/apt/trusted.gpg.d/proxmox-release-bullseye.gpg
sha512sum /etc/apt/trusted.gpg.d/proxmox-release-bullseye.gpg
7fb03ec8a1675723d2853b84aa4fdb49a46a3bb72b9951361488bfd19b29aab0a789a4f8c7406e71a69aabbc727c936d3549731c4659ffa1a08f44db8fdcebfa  /etc/apt/trusted.gpg.d/proxmox-release-bullseye.gpg
chmod +r /etc/apt/trusted.gpg.d/proxmox-release-bullseye.gpg
apt update && apt full-upgrade
```

Choose _keep the locale version_ of GRUB if asked.

Install Proxmox VE :
```
apt install proxmox-ve postfix open-iscsi
```

Remove PVE subscription :
```
rm /etc/apt/sources.list.d/pve-enterprise.list
```

**Warning : do not use ifupdown2 to apply network changes !!!** Prefer manual reboot.

## Web UI

Connect to web UI.

Enable 2FA.

## Guests

### Containers

#### Template

First download a template : dc > node > local > CT Templates > Templates

Choose one distribution that you know, like *Ubuntu 22.04*.

#### Create a container

At the top right GUI : *Create CT*. Fill in all the forms.

#### Connect to SSH

From GUI, open a terminal on your container. Allow root login with password if needed (don't do that in prod) by modifying `/etc/ssh/sshd_config` on your container. Then start sshd with `systemctl start ssh`. Get the IP with `ip a`.

Ssh to your node first. Try to ping your container with the address you just got. Then ssh to your container from your node shell.

For example :

```sh
me@my-laptop ssh root@192.168.122.34
root@node1 ssh root@fe80::c7f:7dff:fec6:d09e%vmbr0
root@ct1 echo success
```

#### Trouble shoot container Internet connexion

Good question. Still does not work on my container. :'(

DNS : 192.168.122.1 -> 192.168.1.1 (l'adresse de la box)
Et mettre DHCP sur l'adresse IP ... et ça marche !

(Une IP fixe devrait marcher)

#### Trouble shoot container having DNS but does not reach Internet

Set the right gateway to the next thing.

For the ISF practice session, it was on the linux bridge.
